<?php
if(class_exists('ThemeKitForWP')){

//IF THEME WAS JUST ACTIVATED AND THEMEKIT IS INSTALLED HEAD TO OPTIONS PAGE
if (is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" ) {
	//Do redirect
	header( 'Location: '.admin_url().'themes.php?page=twentyten-extended' ) ;
}


$tk = new ThemeKitForWP();


//Change the default option name
$tk->set_option_name('twentyten-extended');


$opts = array ();
$opts[] = array( 
	"desc" =>"TwentyTen Extended",
	"type" => "title"
	);
/*
*
*	GENERAL SETTINGS
*
*/

$opts[] = array( 	"name" => "General Settings",
					"type" => "section"
					);
						
$opts[] = array(	"name" => "Content Area Background Color",
					"desc" => "Change the background color of the Center Area.",
					"id" => "cotent_bg",
					"type" => "colorpicker",
					"std" => "#ffffff",
					"selector" => "#wrapper",
					"style"=> "background-color-two"
					);						

$opts[] = array( 	"name" => "Base Font Style",
					"desc" => "",
					"id" => "font_base",
					"std" => array('size' => '16','face' => 'Georgia','style' => 'normal','color' => '#333333'),
					"type" => "typography",
					"selector" => "#content, #content input, #content textarea",
					"style" => "font"
					);						

$opts[] = array( 	"name" => "Link Style",
					"desc" => "",
					"id" => "link_font",
					"std" => array('style' => 'normal','color' => '#0066cc'),
					"type" => "typography",
					"selector" => "a:link",
					"style" => "font"
					);

$opts[] = array( 	"name" => "Link Visited",
					"desc" => "",
					"id" => "link_font_visited",
					"std" => array('style' => 'normal','color' => '#743399'),
					"type" => "typography",
					"selector" => "	a:visited",
					"style" => "font"
					);						

$opts[] = array( 	"name" => "Link Hover",
					"desc" => "",
					"id" => "link_font_hover",
					"std" => array('style' => 'normal','color' => '#ff4b33'),
					"type" => "typography",
					"selector" => "	a:active, a:hover",
					"style" => "font"
					);
						
$opts[] = array( "type" => "close");
//END GENERAL SETTINGS

/*
*
*	HEADER SETTINGS
*
*/

$opts[] = array( 	"name" => "Header Area Settings",
					"type" => "section"
					);

$opts[] = array( 	"name" => "Site Title Font Style",
					"desc" => "",
					"id" => "font_logo",
					"std" => array('size' => '30','face' => 'Helvetica','style' => 'bold','color' => '#222222'),
					"type" => "typography",
					"selector" => "#site-title a",
					"style" => "font"
					);
					
$opts[] = array(	"name" => "Site Description Style",
					"desc" => "",
					"id" => "description_text",
					"std" => array('size' => '12','face' => 'Georgia','style' => 'italic','color' => '#666666'),
					"type" => "typography",
					"selector" => "#site-description",
					"style" => "font"
					);

$opts[] = array( 	"name" => "Image Top Border",
					"desc" => "Specify border properties for the top border.",
					"id" => "header_border_top",
					"std" => array('width' => '4','style' => 'solid','color' => '#000000'),
					"type" => "border",
					"selector" => "#branding img",
					"style" => "border-top"
					); 
					
$opts[] = array( 	"name" => "Image Bottom Border",
					"desc" => "Specify border properties for the top border.",
					"id" => "header_border_bot",
					"std" => array('width' => '1','style' => 'solid','color' => '#000000'),
					"type" => "border",
					"selector" => "#branding img",
					"style" => "border-bottom"
					); 

$opts[] = array( 	"name" => "Menu Font",
					"desc" => "Select the typography you want for your site title. <br />* non web-safe font.",
					"id" => "menu_font",
					"std" => array('size' => '13','face' => 'Helvetica','style' => 'normal','color' => '#AAAAAA'),
					"type" => "typography",
					"selector" => "#access a",
					"style" => "font"
					);

$opts[] = array( 	"name" => "Menu Font Hover / On",
					"desc" => "Select the typography you want for your site title. <br />* non web-safe font.",
					"id" => "menu_font_hover",
					"std" => array('size' => '13','face' => 'Helvetica','style' => 'normal','color' => '#FFFFFF'),
					"type" => "typography",
					"selector" => "#access li:hover > a,
									#access ul ul :hover > a,#access ul li.current_page_item > a,
									#access ul li.current-menu-ancestor > a,
									#access ul li.current-menu-item > a,
									#access ul li.current-menu-parent > a",
					"style" => "font"
					);

$opts[] = array( 	"name" => "Menu Background Color",
					"desc" => "Change the background color of the main menu area.",
					"id" => "menu_bg_color",
					"type" => "colorpicker",
					"std" => "#000000",
					"selector" => "#access, #access ul ul a",
					"style"=> "background-color"
					);
						
$opts[] = array( 	"name" => "Menu Background Hover Color",
					"desc" => "Change the background color of the menu on Rollover.",
					"id" => "menu_hoverbg_color",
					"type" => "colorpicker",
					"std" => "#333333",
					"selector" => "#access li:hover > a, #access ul ul :hover > a",
					"style"=> "background-color"
					);

$opts[] = array( "type" => "close");
//END HEADER SETTINGS


/*
*
*	POST SETTINGS
*
*/

$opts[] = array( 	"name" => "Post/Page Settings",
					"type" => "section");

$opts[] = array( 	"name" => "Post Title Font",
					"desc" => "",
					"id" => "title_font",
					"std" => array('size' => '21','face' => 'Helvetica','style' => 'bold','color' => '#000000'),
					"type" => "typography",
					"selector" => ".entry-title a:link, .entry-title a:visited ",
					"style" => "font"
					);
						
$opts[] = array( 	"name" => "Post Title Font Hover",
					"desc" => "",
					"id" => "title_font_hover",
					"std" => array('style' => 'bold','color' => '#FF4B33'),
					"type" => "typography",
					"selector" => ".entry-title a:hover",
					"style" => "font"
					);

$opts[] = array( 	"name" => "Meta and Utility Links",
					"desc" => "",
					"id" => "meta_font",
					"std" => array('style' => 'normal','color' => '#888888'),
					"type" => "typography",
					"selector" => ".entry-meta a, .entry-utility a ",
					"style" => "font"
					);

$opts[] = array( 	"name" => "Meta and Utility Links Hover",
					"desc" => "",
					"id" => "meta_font_hover",
					"std" => array('style' => 'normal','color' => '#ff4b33'),
					"type" => "typography",
					"selector" => ".entry-meta a:hover, .entry-utility a:hover",
					"style" => "font"
					);					

$opts[] = array( 	"name" => "Sticky Post Background Color",
					"desc" => "",
					"id" => "sticky_bg_color",
					"type" => "colorpicker",
					"std" => "#F2F7FC",
					"selector" => ".home .sticky",
					"style"=> "background-color"
					);

$opts[] = array( 	"name" => "Sticky Post Border Top",
					"desc" => "",
					"id" => "stickybordertop",
					"std" => array('width' => '4','style' => 'solid','color' => '#000000'),
					"type" => "border",
					"selector" => ".home .sticky",
					"style" => "border-top"
					);	

$opts[] = array( 	"name" => "Sticky Page Link Background Color",
					"desc" => "",
					"id" => "sticky_pagelinkbg_color",
					"type" => "colorpicker",
					"std" => "#D9E8F7",
					"selector" => ".home .sticky .page-link a",
					"style"=> "background-color"
					);										
	
$opts[] = array( "type" => "close");
//END POST SETTINGS

/*
*
* WIDGETS SECTION
*
*/

$opts[] = array( 	"name" => "Widgets",
					"type" => "section"
					);

$opts[] = array( 	"name" => "Title Font",
					"desc" => "",
					"id" => "widget_title_font",
					"std" => array('size' => '14','face' => 'Helvetica','style' => 'bold','color' => '#222222'),
					"type" => "typography",
					"selector" => ".widget-title",
					"style" => "font"
					);						

$opts[] = array( 	"name" => "Text",
					"desc" => "",
					"id" => "widget_text",
					"std" => array('size' => '12','face' => 'Georgia','style' => 'normal','color' => '#666666'),
					"type" => "typography",
					"selector" => ".widget-container",
					"style" => "font"
					);
																	
$opts[] = array( 	"name" => "Link Style",
					"desc" => "",
					"id" => "wd_link_font",
					"std" => array('underline' => 'none','color' => '#0066cc'),
					"type" => "typography",
					"selector" => ".widget-container a:link",
					"style" => "font"
					);
					
$opts[] = array( 	"name" => "Link Visited",
					"desc" => "",
					"id" => "wd_link_font_visited",
					"std" => array('underline' => 'none','color' => '#743399'),
					"type" => "typography",
					"selector" => ".widget-container a:visited",
					"style" => "font"
					);						


$opts[] = array( 	"name" => "Link Hover",
					"desc" => "",
					"id" => "wd_link_font_hover",
					"std" => array('underline' => 'none','color' => '#ff4b33'),
					"type" => "typography",
					"selector" => ".widget-container a:active,.widget-container a:hover",
					"style" => "font"
					);



$opts[] = array( 	"type" => "close" );
//END WIDGETS

/*
*
*	FOOTER SECTION
*
*/

$opts[] = array( 	"name" => "Footer",
					"type" => "section"
					);

$opts[] = array( 	"name" => "Top Border",
					"desc" => "Specify border properties for the top border.",
					"id" => "footer_border_top",
					"std" => array('width' => '4','style' => 'solid','color' => '#000000'),
					"type" => "border",
					"selector" => "#colophon",
					"style" => "border-top"
					);

$opts[] = array( 	"name" => "Site Info Text",
					"desc" => "",
					"id" => "site_info",
					"std" => array('size' => '14','face' => 'Helvetica','style' => 'bold','underline'=>'none','color' => '#000000'),
					"type" => "typography",
					"selector" => "#site-info a",
					"style" => "font"
					);

$opts[] = array( "type" => "close");
//END FOOTER SECTION

$tk->register_options($opts);






} else {
	add_action('admin_notices', 'tte_no_themekit');
}

function tte_no_themekit(){
	if(is_multisite()){
		$url = "/wp-admin/network/plugin-install.php?tab=search&type=term&s=themekit&plugin-search-input=Search+Plugins";
	} else {
		$url = "/wp-admin/plugin-install.php?tab=search&type=term&s=themekit&plugin-search-input=Search+Plugins";	
	}
	
	echo "<div id='themekit' class='updated fade'><p><a href='{$url}'>ThemeKit for WordPress</a> is required to use TwentyTen Extended options.</p></div>";
}

